import sys


def module(module: str):
    __import__(module)
    return sys.modules[module]


def name(name: str):
    module_, _, name = name.rpartition('.')
    module_ = module(module_)
    return getattr(module_, name)


def object(class_path: str, *a, **kw):
    return name(class_path)(*a, **kw)


def try_import(import_str, default=None):
    try:
        return module(import_str)
    except ImportError:
        return default
